using System;
using System.Collections.Generic;
using System.Linq;
using System.Windows.Forms;
using VisimBox;
using VisimBox.Scene;

namespace MarsRover
{
    static class Program
    {
        /// <summary>
        /// The main entry point for the application.
        /// </summary>
        [STAThread]
        static void Main()
        {
            Application.EnableVisualStyles();
            Application.SetCompatibleTextRenderingDefault(false);

            Form1 setts = new Form1();

            if (setts.ShowDialog() != DialogResult.OK)
                return;


            VisimEngine.Instance.Initialize();

            var mars = new MarsTerrain(setts.TerrainSize, setts.TotalBoulders, setts.UniqueBoulders, !setts.ManualRobot);


            VisimEngine.Instance.MainScene.AddNode(mars, "MarsDemo");
            VisimEngine.Instance.Renderer.MainContext.RenderFlags = (UInt64)RenderFlags.Normal;
            VisimEngine.Instance.Run();            
        }
    }
}
